﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Reflection;

namespace RowShamBow
{
    public class PlayerA : Player
    {
        protected override Hand Think()
        {
            if (RivalLast == Hand.Zero)
                return Hand.石头;
            if (MyLast > RivalLast)
                return RivalLast;
            if (MyLast < RivalLast)
                return MyLast;
            return MyLast.Stronger;
        }
    }

    public class PlayerB : Player
    {
        protected override Hand Think()
        {
            if (RivalLast == Hand.Zero)
                return Hand.石头;
            return RivalLast;
        }
    }

    public class PlayerAKiller : Player
    {
        protected override Hand Think()
        {
            if (RivalLast == Hand.Zero)
                return Hand.石头;
            if (MyLast > RivalLast)
                return MyLast;
            if (MyLast < RivalLast)
                return RivalLast;
            return MyLast.Weaker;
        }
    }

    public class PlayerBKiller : Player
    {
        protected override Hand Think()
        {
            if (RivalLast == Hand.Zero)
                return Hand.石头;
            return MyLast.Stronger;
        }
    }
}
